Index: data/media/levels/includes/weaponsettings3.oxi
===================================================================
--- data/media/levels/includes/weaponsettings3.oxi	(revision 5550)
+++ data/media/levels/includes/weaponsettings3.oxi	(revision 5550)
@@ -0,0 +1,47 @@
+    <weaponslots>
+      <WeaponSlot position="-15,-1.5,0" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="15,-1.5,0" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="78" roll="90" yaw="90" position="0,-1.3,0" scale="0.5,0.5,0.5"/>
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" scale="0.5,0.5,0.5"/>
+            <Model mesh="hs-w01.mesh" roll="195" position="0,1,0"/>
+            <Model mesh="hs-w01s.mesh" roll="195" position="0.1,0.5,0"/>
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" muzzleoffset="-2,-0.2,-20" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="2,0.2,-20" />
+          <LightningGun mode=1 muzzleoffset="0,0,-20" />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" scale="0.5,0.5,0.5"/>
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" scale="0.5,0.5,0.5"/>
+            <Model mesh="hs-w01.mesh" roll="165" position="0,1,0"/>
+            <Model mesh="hs-w01s.mesh" roll="165" position="-0.1,0.5,0"/>
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-20" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-2,0.2,-20" />
+          <LightningGun mode=1 muzzleoffset="0,0,-20" />
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+        <Weapon>
+          <!-- EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-20" / -->
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: data/media/levels/presentation_dm.oxw
===================================================================
--- data/media/levels/presentation_dm.oxw	(revision 5549)
+++ data/media/levels/presentation_dm.oxw	(revision 5550)
@@ -17,16 +17,11 @@
 
 
-<Model mesh="can.mesh" scale=10 position="0,0,-100" />
-
-
 <?lua
-for i = 1, 10, 1
+for i = 1, 10, 1 
 do ?>
     <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-<?lua
+<?lua 
 end
 ?>
-    <Model position="1,2,3" mesh="cube.mesh" />
-
 
     <GlobalShader compositor="Bloom" visible=false>
@@ -40,12 +35,12 @@
 
 <?lua
-for i = 1, 50, 1
+for i = 1, 100, 1 
 do
 j = math.random()
 ?>
-
-    <MovableEntity position="<?lua print(math.random() * 3000-2000) ?>,<?lua print(math.random() * 3000-2000) ?>,<?lua print(math.random() * 3000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    
+    <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
       <attached>
-        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mass=<?lua print(j * 30) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
       </attached>
       <collisionShapes>
@@ -53,5 +48,5 @@
       </collisionShapes>
     </MovableEntity>
-<?lua
+<?lua 
 end
 ?>
Index: data/media/levels/templates/spaceship_assff.oxt
===================================================================
--- data/media/levels/templates/spaceship_assff.oxt	(revision 5549)
+++ data/media/levels/templates/spaceship_assff.oxt	(revision 5550)
@@ -35,5 +35,5 @@
     </collisionShapes>
 <?lua
-  include("levels/includes/weaponsettings2.oxi")
+  include("levels/includes/weaponsettings3.oxi")
 ?>
   </SpaceShip>
Index: data/media/materials/scripts/LightningGun-s.material
===================================================================
--- data/media/materials/scripts/LightningGun-s.material	(revision 5549)
+++ data/media/materials/scripts/LightningGun-s.material	(revision 5550)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture LightningGun-s.tga
+				texture Lightning_gun4.tga
 				colour_op modulate
 			}
Index: data/media/materials/scripts/LightningGun.material
===================================================================
--- data/media/materials/scripts/LightningGun.material	(revision 5549)
+++ data/media/materials/scripts/LightningGun.material	(revision 5550)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture LightningGun.tga
+				texture Lightning_gun4.tga
 				colour_op modulate
 			}