Index: /data/media/levels/waypoints.oxw
===================================================================
--- /data/media/levels/waypoints.oxw	(revision 5559)
+++ /data/media/levels/waypoints.oxw	(revision 5560)
@@ -19,5 +19,5 @@
     <SpawnPoint position="0,0,0" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
 
-    <SpaceShip position="0,2000,200" lookat="0,0,0" >
+    <SpaceShip position="0,2000,200" lookat="0,0,0">
       <templates>
         <Template link=spaceshipassff />
@@ -26,7 +26,7 @@
         <WaypointPatrolController alertnessradius=1000 team=10>
           <waypoints>
-            <Model mesh="cube.mesh" scale=1 position="  0,2000,-200" />
-            <Model mesh="cube.mesh" scale=2 position="  0,2000,-700" />
-            <Model mesh="cube.mesh" scale=4 position="500,2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="  0,2000,-200" />
+            <Model mesh="cube.mesh" scale=8 position="  0,2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="500,2000,-700" />
             <Model mesh="cube.mesh" scale=8 position="500,2000,-200" />
           </waypoints>
@@ -34,5 +34,5 @@
       </controller>
     </SpaceShip>
-    <SpaceShip position="0,2000,400" lookat="0,0,0" >
+    <SpaceShip position="0,2000,400" lookat="0,0,0">
       <templates>
         <Template link=spaceshipassff />
@@ -41,7 +41,7 @@
         <WaypointPatrolController alertnessradius=1000 team=10>
           <waypoints>
-            <Model mesh="cube.mesh" scale=1 position="  0,2000,-200" />
-            <Model mesh="cube.mesh" scale=2 position="  0,2000,-700" />
-            <Model mesh="cube.mesh" scale=4 position="500,2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="  0,2000,-200" />
+            <Model mesh="cube.mesh" scale=8 position="  0,2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="500,2000,-700" />
             <Model mesh="cube.mesh" scale=8 position="500,2000,-200" />
           </waypoints>
@@ -50,5 +50,5 @@
     </SpaceShip>
 
-    <SpaceShip position="1500,2000,200" lookat="0,0,0" >
+    <SpaceShip position="1500,2000,200" lookat="0,0,0">
       <templates>
         <Template link=spaceshipassff />
@@ -57,7 +57,7 @@
         <WaypointPatrolController alertnessradius=1000 team=11>
           <waypoints>
-            <Model mesh="cube.mesh" scale=1 position="1500,2000,-200" />
-            <Model mesh="cube.mesh" scale=2 position="1500,2000,-700" />
-            <Model mesh="cube.mesh" scale=4 position="1000,2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="1500,2000,-200" />
+            <Model mesh="cube.mesh" scale=8 position="1500,2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="1000,2000,-700" />
             <Model mesh="cube.mesh" scale=8 position="1000,2000,-200" />
           </waypoints>
@@ -65,4 +65,75 @@
       </controller>
     </SpaceShip>
+
+    <SpaceShip position="1500,-2000,200" lookat="0,0,0" name=polonaise1>
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=1000 team=12>
+          <waypoints>
+            <Model mesh="cube.mesh" scale=8 position="1500,-2000,-200" />
+<!--
+            <Attacher target=polonaise6 deletewithparent=false />
+            <Model mesh="cube.mesh" scale=8 position="1500,-2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="1000,-2000,-700" />
+            <Model mesh="cube.mesh" scale=8 position="1000,-2000,-200" />
+-->
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<?lua
+for i = 1, 5, 1
+do ?>
+    <SpaceShip position="1500,<?lua print(-2000 + 50*i) ?>,200" lookat="0,0,0" name=polonaise<?lua print(i+1) ?> >
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=1000 team=12>
+          <waypoints>
+            <Attacher target=polonaise<?lua print(i) ?> deletewithparent=false />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+
+
+    <SpaceShip position="-1500,-2000,200" lookat="0,0,0" name=attack1>
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=1000 team=13>
+          <waypoints>
+            <Model mesh="cube.mesh" scale=8 position="1500,-2000,-200" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<?lua
+for i = 1, 5, 1
+do ?>
+    <SpaceShip position="-1500,<?lua print(-2000 + 50*i) ?>,200" lookat="0,0,0" name=attack<?lua print(i+1) ?> >
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=1000 team=13>
+          <waypoints>
+            <Attacher target=attack<?lua print(i) ?> deletewithparent=false />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
 
 <!--