Index: branches/network/src/defs/class_id.h
===================================================================
--- branches/network/src/defs/class_id.h	(revision 5517)
+++ branches/network/src/defs/class_id.h	(revision 5570)
@@ -57,16 +57,20 @@
   // superclasses
   CL_MASK_SUPER_CLASS           =    0xff000000,
-  CL_BASE_OBJECT                =    0x01000000,
-
-  CL_PARENT_NODE                =    0x02000000,
-  CL_WORLD_ENTITY               =    0x04000000,
-
-  CL_STORY_ENTITY               =    0x08000000,
-
-  CL_PHYSICS_INTERFACE          =    0x10000000,
-
-  CL_EVENT_LISTENER             =    0x20000000,
-
-  CL_ELEMENT_2D                 =    0x40000000,
+  CL_BASE_OBJECT                =    0xff000000,
+
+  CL_PARENT_NODE                =    0x01000000,
+
+  CL_STORY_ENTITY               =    0x02000000,
+
+  CL_PHYSICS_INTERFACE          =    0x04000000,
+
+  CL_EVENT_LISTENER             =    0x08000000,
+
+  CL_ELEMENT_2D                 =    0x10000000,
+
+  CL_SYNCRONIZEABLE             =    0x20000000,
+
+  CL_WORLD_ENTITY               =    0x40000000,
+
 
   // subsuper-classes
@@ -81,5 +85,5 @@
   CL_WEAPON                     =    0x00120000,
 
-  // subsuper-classes derivations taken : 1, 5, a, b.     << THIS IS A LIST OF ALL THE DCL_MASK_SUBSUPERCLASS_ID's taken
+  // subsuper-classes derivations taken : 1, 5, a, b, c.     << THIS IS A LIST OF ALL THE DCL_MASK_SUBSUPERCLASS_ID's taken
 
   // lowest level classes
@@ -113,4 +117,6 @@
   CL_GLGUI_HANDLER              =    0x00000f40,
   CL_GLGUI_MAIN_WIDGET          =    0x00000f41,
+  CL_NETWORK_MANAGER            =    0x00000f50,
+
 
   // StoryEntities (range from 0x00000100 to 0x000001ff)
@@ -199,30 +205,39 @@
 
 
-  // misc: (range from 0x00000b00 to 0x00000cff)
-  CL_ANIMATION                  =    0x00000b01,
+  // network stuff (range from 0x00000b00 to 0x00000bff)
+  CL_DATA_STREAM                =    0x00b01000,
+  CL_NETWORK_STREAM             =    0x00000b01,
+  CL_NETWORK_PROTOCOL           =    0x00000b02,
+  CL_NETWORK_SOCKET             =    0x00000b03,
+  CL_CONNECTION_MONITOR         =    0x00000b04,
+
+
+
+  // misc: (range from 0x00000d00 to 0x00000eff)
+  CL_ANIMATION                  =    0x00000d01,
   //  CL_ANIMATION3D                =    0x00000b02,
-  CL_QUICK_ANIMATION            =    0x00000b02,
-  CL_FACTORY                    =    0x00000b03,
-  CL_INI_PARSER                 =    0x00000b04,
-  CL_LIST                       =    0x00000b05,
-  CL_SUBSTRING                  =    0x00000b06,
-  CL_LOAD_PARAM                 =    0x00000b07,
-  CL_CURVE                      =    0x00000b08,
-  CL_VECTOR                     =    0x00000b09,
-  CL_CHARACTER_ATTRIBUTES       =    0x00000b0a,
-  CL_TRACK_ELEMENT              =    0x00000b0b,
-  CL_NUMBER                     =    0x00000b0c,
-  CL_FAST_FACTORY               =    0x00000c01,
-  CL_SHELL                      =    0x00000c10,
-  CL_SHELL_COMMAND              =    0x00000c11,
-  CL_SHELL_COMMAND_CLASS        =    0x00000c12,
-  CL_SHELL_INPUT                =    0x00000c13,
-  CL_SHELL_COMPLETION           =    0x00000c14,
-  CL_SHELL_COMMAND_ALIAS        =    0x00000c15,
+  CL_QUICK_ANIMATION            =    0x00000d02,
+  CL_FACTORY                    =    0x00000d03,
+  CL_INI_PARSER                 =    0x00000d04,
+  CL_LIST                       =    0x00000d05,
+  CL_SUBSTRING                  =    0x00000d06,
+  CL_LOAD_PARAM                 =    0x00000d07,
+  CL_CURVE                      =    0x00000d08,
+  CL_VECTOR                     =    0x00000d09,
+  CL_CHARACTER_ATTRIBUTES       =    0x00000d0a,
+  CL_TRACK_ELEMENT              =    0x00000d0b,
+  CL_NUMBER                     =    0x00000d0c,
+  CL_FAST_FACTORY               =    0x00000d01,
+  CL_SHELL                      =    0x00000d10,
+  CL_SHELL_COMMAND              =    0x00000d11,
+  CL_SHELL_COMMAND_CLASS        =    0x00000d12,
+  CL_SHELL_INPUT                =    0x00000d13,
+  CL_SHELL_COMPLETION           =    0x00000d14,
+  CL_SHELL_COMMAND_ALIAS        =    0x00000d15,
 
   // Spatial Data Separation
-  CL_SPATIAL_SEPARATION         =    0x00000b0d,
-  CL_QUADTREE                   =    0x00000b0e,
-  CL_QUADTREE_NODE              =    0x00000b0f
+  CL_SPATIAL_SEPARATION         =    0x00000d0d,
+  CL_QUADTREE                   =    0x00000d0e,
+  CL_QUADTREE_NODE              =    0x00000d0f
 };
 