Index: /data/media/levels/gametype_underattack.oxw
===================================================================
--- /data/media/levels/gametype_underattack.oxw	(revision 5571)
+++ /data/media/levels/gametype_underattack.oxw	(revision 5572)
@@ -2,4 +2,5 @@
   include("overlay/hudtemplates3.oxo")
   include("overlay/stats.oxo")
+  include("overlay/underattackhud.oxo")
   include("levels/templates/spaceship_assff.oxt")
 ?>
Index: /data/media/levels/teambasematchlevel.oxw
===================================================================
--- /data/media/levels/teambasematchlevel.oxw	(revision 5571)
+++ /data/media/levels/teambasematchlevel.oxw	(revision 5572)
@@ -2,4 +2,5 @@
   include("overlay/hudtemplates3.oxo")
   include("overlay/stats.oxo")
+  include("overlay/teambasematchhud.oxo")
   include("levels/templates/spaceship_assff.oxt")
   include("levels/templates/spaceship_pirate.oxt")
Index: /data/media/overlay/debug.oxo
===================================================================
--- /data/media/overlay/debug.oxo	(revision 5571)
+++ /data/media/overlay/debug.oxo	(revision 5572)
@@ -12,5 +12,4 @@
    caption  = "Frames per second:"
    textsize = 0.03
-   textSize = 0.03
   />
 
@@ -20,5 +19,4 @@
    font     = "Monofur"
    textsize = 0.03
-   textSize = 0.03
   />
 
@@ -29,5 +27,4 @@
    caption  = "Tick time in ms: "
    textsize = 0.03
-   textSize = 0.03
   />
 
@@ -37,5 +34,4 @@
    font     = "Monofur"
    textsize = 0.03
-   textSize = 0.03
   />
   
@@ -46,5 +42,5 @@
     <ChatOverlay
      name     = "chat"
-     position = "0.03, 0.03"
+     position = "0.03, 0.08"
      font     = "VeraMono"
      caption  = ""
Index: /data/media/overlay/teambasematchhud.oxo
===================================================================
--- /data/media/overlay/teambasematchhud.oxo	(revision 5572)
+++ /data/media/overlay/teambasematchhud.oxo	(revision 5572)
@@ -0,0 +1,90 @@
+<Template name="TeamBaseMatchHUD">
+  <OverlayGroup name="TeamBaseMatchHUD" scale = "1, 1">
+    <OverlayText
+     position  = "0.2, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.5, 0.5, 1.0"
+     align     = "left"
+     caption   = "Red team"
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.37, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.8, 0.8, 1.0"
+     align     = "left"
+
+     showleftteam  = true
+     showrightteam = false
+     showbases     = true
+     showscore     = false
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.49, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.8, 0.8, 1.0"
+     align     = "right"
+
+     showleftteam  = true
+     showrightteam = false
+     showbases     = false
+     showscore     = true
+    />
+
+    <OverlayText
+     position  = "0.505, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 0.8, 1.0"
+     align     = "center"
+
+     caption   = ":"
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.51, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 1.0, 1.0"
+     align     = "left"
+
+     showleftteam  = false
+     showrightteam = true
+     showbases     = false
+     showscore     = true
+    />
+
+    <TeamBaseMatchScore
+     position  = "0.63, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 1.0, 1.0"
+     align     = "right"
+
+     showleftteam  = false
+     showrightteam = true
+     showbases     = true
+     showscore     = false
+    />
+
+    <OverlayText
+     position  = "0.8, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.5, 0.5, 1.0, 1.0"
+     align     = "right"
+     caption   = "Blue team"
+    />
+  </OverlayGroup>
+</Template>
Index: /data/media/overlay/underattackhud.oxo
===================================================================
--- /data/media/overlay/underattackhud.oxo	(revision 5572)
+++ /data/media/overlay/underattackhud.oxo	(revision 5572)
@@ -0,0 +1,26 @@
+<Template name="UnderAttackHUD">
+  <OverlayGroup name="UnderAttackHUD" scale = "1, 1">
+    <UnderAttackHealthBar
+     name                 = "HealthBar"
+     background           = "Orxonox/HealthBarBackground"
+     size                 = "0.45, 0.0875"
+     position             = "0.99 , 0.01"
+     pickpoint            = "1, 0"
+     bartexture           = "healthbar_bar.tga"
+     textfont             = "VeraMono"
+     textusebarcolour     = true
+     textsize             = 0.039
+     textoffset           = "0.315, 0.05"
+     textpickpoint        = "0, 0"
+     textalign            = "right"
+     correctaspect        = false
+     textcorrectaspect    = false
+     descriptionpickpoint = "0, 0"
+     descriptionoffset    = "0.5, 1"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </UnderAttackHealthBar>
+  </OverlayGroup>
+</Template>