Index: data/media/levels/includes/weaponsettings3.oxi
===================================================================
--- data/media/levels/includes/weaponsettings3.oxi	(revision 5572)
+++ data/media/levels/includes/weaponsettings3.oxi	(revision 5573)
@@ -1,6 +1,6 @@
     <weaponslots>
-      <WeaponSlot position="-15,-1.5,0" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="15,-1.5,0" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="-15.0,-1.5,0" />
+      <WeaponSlot position=" 15.0,-1.5,0" />
+      <WeaponSlot position="  0.0, 0.0,0" />
     </weaponslots>
     <weaponsets>
@@ -21,7 +21,7 @@
             <Model mesh="hs-w01s.mesh" roll="195" position="0.1,0.5,0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" muzzleoffset="-2,-0.2,-40" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="2,0.2,-40" />
-          <LightningGun mode=1 muzzleoffset="0,0,-40" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.7, 1.5,-4" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset="-0.9, 1.1,-4" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
@@ -32,7 +32,7 @@
             <Model mesh="hs-w01s.mesh" roll="165" position="-0.1,0.5,0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-40" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-2,0.2,-40" />
-          <LightningGun mode=1 muzzleoffset="0,0,-40" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset=" 0.9, 1.1, -4.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.7, 1.5, -4.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
       </WeaponPack>
@@ -42,5 +42,5 @@
         </links>
         <Weapon>
-          <!-- EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-40" / -->
+          <!-- EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" / -->
         </Weapon>
       </WeaponPack>
Index: data/media/levels/includes/weaponsettings_H2.oxi
===================================================================
--- data/media/levels/includes/weaponsettings_H2.oxi	(revision 5572)
+++ data/media/levels/includes/weaponsettings_H2.oxi	(revision 5573)
@@ -1,6 +1,6 @@
     <weaponslots>
-      <WeaponSlot position=" 12.1, 3, 9" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="-12.2, 3, 9" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="-7.5, 4, 8.5" />
+      <WeaponSlot position=" 7.5, 4, 8.5" />
+      <WeaponSlot position=" 0.0, 0,-13" />
     </weaponslots>
     <weaponsets>
@@ -12,26 +12,20 @@
         <links>
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
         </links>
         <Weapon>
           <attached>
-            <Model mesh="hs-w01.mesh" roll="120"/>
-            <Model mesh="hs-w01s.mesh" roll="120" position="0.1,0.5,0" scale="0.5"/>
+            <Model mesh="hs-w01.mesh"  roll="180" position="0.0, 0.5, 0.0" scale=2 />
+            <Model mesh="hs-w01s.mesh" roll="180" position="0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" muzzleoffset="-2,-0.2,-20" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="2,0.2,-20" />
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,5,0" />
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,-5,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
         </Weapon>
         <Weapon>
           <attached>
-            <Model mesh="hs-w01.mesh" roll="-120" scale3D="-1,1,1"/>
-            <Model mesh="hs-w01s.mesh" roll="-120" position="-0.1,0.5,0" scale="0.5"/>
+            <Model mesh="hs-w01.mesh"  roll="180" position=" 0.0, 0.5, 0.0" scale=2 />
+            <Model mesh="hs-w01s.mesh" roll="180" position="-0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-20" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-2,0.2,-20" />
-          <!--LaserFire mode=0 munitionpershot=0 muzzleoffset="0,0,-25" /-->
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,5,0" />
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,-5,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
         </Weapon>
       </WeaponPack>
@@ -41,6 +35,11 @@
         </links>
         <Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-20" />
+          <attached>
+            <Model mesh="LightningGun.mesh"   pitch="90" roll="90" yaw="90" position="0,  -1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="90" roll="90" yaw="90" position="0.2,-1.3,0" />
+          </attached>
+          <LightningGun mode=0 muzzleoffset="0,0,0" />
         </Weapon>
       </WeaponPack>
     </weapons>
+
Index: data/media/levels/includes/weaponsettings_pirate.oxi
===================================================================
--- data/media/levels/includes/weaponsettings_pirate.oxi	(revision 5572)
+++ data/media/levels/includes/weaponsettings_pirate.oxi	(revision 5573)
@@ -1,5 +1,5 @@
     <weaponslots>
-      <WeaponSlot position=" 4.4, -5.5, -30" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="-4.4, -5.5, -30" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position=" 4.3,-6,-10" />
+      <WeaponSlot position="-4.3,-6,-10" />
     </weaponslots>
     <weaponsets>
@@ -14,23 +14,10 @@
         </links>
         <Weapon>
-          <attached>
-            <Model mesh="hs-w01.mesh" roll="195"/>
-            <Model mesh="hs-w01s.mesh" roll="195" position="0.1,-0.5,0"/>
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" muzzleoffset="-2,-0.2,-20" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="2,0.2,-20" />
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,5,0" />
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,-5,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
         </Weapon>
         <Weapon>
-          <attached>
-            <Model mesh="hs-w01.mesh" roll="165"/>
-            <Model mesh="hs-w01s.mesh" roll="165" position="-0.1,-0.5,0"/>
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-20" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-2,0.2,-20" />
-          <!--LaserFire mode=0 munitionpershot=0 muzzleoffset="0,0,-25" /-->
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,5,0" />
-          <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,-5,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
         </Weapon>
       </WeaponPack>
Index: data/media/levels/templates/spaceship_H2.oxt
===================================================================
--- data/media/levels/templates/spaceship_H2.oxt	(revision 5572)
+++ data/media/levels/templates/spaceship_H2.oxt	(revision 5573)
@@ -3,5 +3,5 @@
    hudtemplate            = spaceshiphud
    camerapositiontemplate = spaceshipHtwocameras
-   engine                 =spaceshipHtwoengine
+   engine                 = spaceshipHtwoengine
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
@@ -28,6 +28,6 @@
     <attached>
       <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale3D="3,0.833,0.833" mesh="h2_green.mesh" />
-      <BlinkingBillboard position="11.68,4.02,9.52" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-      <BlinkingBillboard position="-12.27,4.02,9.52" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+      <BlinkingBillboard position=" 11.7,4.0,8.5" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-11.7,4.0,8.5" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
     </attached>
     <collisionShapes>
@@ -49,9 +49,4 @@
       <CameraPosition position="0,20, 80" drag=true mouselook=true />
       <CameraPosition position="0,30,120" drag=true mouselook=true />
-      <!--CameraPosition position="0,150,-25" pitch=-90 drag=true />
-      <CameraPosition position="0,0,-40" yaw=180 drag=true />
-      <CameraPosition position="0,3,-14" yaw=0 />
-      <CameraPosition position="-50,5,-8" yaw=-90 drag=true />
-      <CameraPosition position="50,5,-8" yaw=90 drag=true /-->
     </camerapositions>
   </SpaceShip>
@@ -73,65 +68,20 @@
    accelerationupdown    =  125
   >
-      <active>
-      <FadingBillboard mainstate=activity active=false scale=0.05 position="-0.1, 2, 12" colour="0, 0.65, 0, 0.5" material="Examples/FlareZwei_1" turnontime=0.5 turnofftime=0.5 />
-<!--
-      <Light mainstate=visibility position=" 12.7, 4, 17.2" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
-      <Light mainstate=visibility position="-13, 4, 16.8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
--->
+    <active>
+      <FadingBillboard mainstate=activity active=false scale=0.05 position=" 0.0, 2.0, 12.0" colour="0.0, 0.65, 0.0, 0.5" material="Examples/FlareZwei_1" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.05 position=" 3.8, 7.5, 11.0" colour="1.0, 1.00, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="-3.8, 7.5, 11.0" colour="1.0, 1.00, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.05 position=" 3.5, 0.0,-10.8" colour="1.0, 1.00, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="-3.5, 0.0,-10.8" colour="1.0, 1.00, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
     </active>
     <forward>
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.06, 1.66, 12.45" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.26, 1.66, 12.45" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.06, 1.66, 11.6" colour="0, 0.65, 0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.26, 1.66, 11.6" colour="0, 0.65, 0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
     </forward>
     <boost>
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.06,1.66, 12.45" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.26, 1.66, 12.45" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.06, 1.66, 11.6" colour="0.5, 0.85, 0.5, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.26, 1.66, 11.6" colour="0.5, 0.85, 0.5, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
     </boost>
-    <brake>
-<!--
-      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 12.7, 4.2, 11.5" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.3 position="-13, 4.2, 11.5" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 12.7, 4.2, 11.5" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.15 position="-13, 4.2, 11.5" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
--->
-    </brake>
   </MultiStateEngine>
 </Template>
 
-<!--Template name=spaceshippirate>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
-    </attached>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipspacecruiser>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
-    </attached>
-  </SpaceShip>
-</Template-->